
From: Jeff Dike <jdike@addtoit.com>

Define a release method for the ubd driver so that sysfs doesn't complain when
one is removed.

Signed-off-by: Jeff Dike <jdike@addtoit.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/um/drivers/ubd_kern.c |    5 +++++
 1 files changed, 5 insertions(+)

diff -puN arch/um/drivers/ubd_kern.c~uml-provide-a-release-method-for-the-ubd-driver arch/um/drivers/ubd_kern.c
--- 25/arch/um/drivers/ubd_kern.c~uml-provide-a-release-method-for-the-ubd-driver	2005-01-16 23:25:55.800411456 -0800
+++ 25-akpm/arch/um/drivers/ubd_kern.c	2005-01-16 23:25:55.805410696 -0800
@@ -635,6 +635,10 @@ static int ubd_open_dev(struct ubd *dev)
 	return(err);
 }
 
+static void ubd_device_release(struct device *dev)
+{
+}
+
 static int ubd_new_disk(int major, u64 size, int unit,
 			struct gendisk **disk_out)
 			
@@ -670,6 +674,7 @@ static int ubd_new_disk(int major, u64 s
 	if (major == MAJOR_NR) {
 		ubd_dev[unit].pdev.id   = unit;
 		ubd_dev[unit].pdev.name = DRIVER_NAME;
+		ubd_dev[unit].pdev.dev.release = ubd_device_release;
 		platform_device_register(&ubd_dev[unit].pdev);
 		disk->driverfs_dev = &ubd_dev[unit].pdev.dev;
 	}
_
